VOS_SETFIELDS(1)

NAME
vos_setfields - Sets the quota or clear the access counter on a volume.

SYNOPSIS
vos setfields B<-id> <I<volume name or ID>>
    B<-maxquota> <I<quota (KB)>>
    [-clearuse] [-clearVolUpCounter]
    [B<-cell> <I<cell name>>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve] [-help]

vos se B<-id> <I<volume name or ID>>
    B<-m> <I<quota (KB)>> [-cl]
    [B<-ce> <I<cell name>>]
    [-noa] [-l] [-v] [-e] [-nor] [-h]

DESCRIPTION
The vos setfields command can set the quota on a volume, and it can clear the access counter on a volume. This command differs from fs setquota because only the volume name is needed to set the quota, whereas the path to the volume is needed with fs setquota.

If the -maxquota and -clearuse flags are missing, then no action is taken.

CAUTIONS
This command is not effective on read-only or backup volumes.

OPTIONS

-id <volume name or id>
    Identifies the volume on which to operate, either by its complete name or volume ID number.

-maxquota <quota>
    Sets the maximum amount of file server disk space the volume can occupy. The quota should be a positive integer followed by an optional suffix: "K" for kibibytes (1024 bytes, the default), "M" for mebibytes (1024 kibibytes), "G" for gibibytes (1024 mebibytes), and "T" for tebibytes (1024 gibibytes). A value of 0 sets an unlimited quota, but the size of the disk partition that houses the volume places an absolute limit on the volume's size.

-clearuse
    Clears the access counter on a volume, which is shown as "X accesses in the past day (i.e., vnode references)" in the vos examine output.

-clearVolUpCounter
    Clears the modification counter on a volume. The modification counter will increment with time and stop updating when it reaches the maximum value. This option will reset it to 0. This option is available in OpenAFS version 1.5.0 or later.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
This command produces no output other than error messages.

EXAMPLES
To set a 123KB quota on the root.cell volume, the following command may be used:

   % vos setfields -id root.cell -maxquota 123

To clear the access counter on the root.cell volume, use the following command:

   % vos setfields -id root.cell -clearuse

The above commands may be combined as follows:

   % vos setfields -id root.cell -maxquota 123 -clearuse

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
fs_setquota(1), vos(1), vos_examine(1)

COPYRIGHT
Copyright 2009 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.